<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta charset="utf-8">
        <script>
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            firebase.initializeApp(firebaseConfig);
        </script>

        <style>
            #nav-text {
                position: absolute;
                height: 30px;
                width: 91px;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
                text-align: center;
                margin-left: 142px;
                margin-top:40px;
            }
            body{
                height: 100vh;
                width: 100vw;
                margin: 0;
            }
            #nav-bar {
                height: 104px;
                width: 375px;
                border-bottom-left-radius: 20px;
                border-bottom-right-radius: 20px;
                background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));
                position: fixed;
                z-index: 1;
            }
            .fa-chevron-left {
                font-size: 25px;
                margin-top: 45.1px;
                margin-left: 39px;
            }
            #rectangle {
                height: 69px;
                width: 375px;
                background-color: #FFF;
            }
            #mongol-kino {
                height: 21px;
                width: 200px;
                color: #000;
                font-family: 'Montserrat', sans-serif;
                font-size: 21px;
                font-weight: 700;
                letter-spacing: 1.38px;
                line-height: 21px;
                text-align: center;
                margin-top: 21px;
            }
            #icon-back {
                height: 69px;
                width: 85px;
                background-color: #FFF;
                display: flex;
                align-items: center;
                justify-content: center;
            }
            #L0 {
                padding-top: 105px;
            }
            .quiz-img {
                width: 72px;
                height: 108px;
                background-size: cover;
                border-radius: 10px; 
                opacity: 0.65;
            }
            .level-line{
                display: flex;
                justify-content: space-between;
                margin-left: 19.5px;
                margin-right: 19.5px;
                margin-top: 8px;
            }
            #level-bar{
                display: flex;
                flex-direction: column;
            }
            .opacity {
                width: 72px;
                height: 108px;
                background-size: cover;
                border-radius: 10px; 
                opacity: 1;
                border:lightgreen solid 2px;
            }
            .loading {
                margin: center;
                margin-top: 50%;
                max-width: 50%;
                line-height: 1.4;
                font-size: 1.2rem;
                font-weight: bold;
                text-align: center; 
            }
            .loading__author {
            font-weight: normal;
            font-size: 0.9rem;
            color: rgba(189,189,189 ,1);
            margin: 0.6rem 0 2rem 0;
            display: block;
        }
            .loading__anim {
            width: 35px;
            height: 35px;
            display: inline-block;
            border: 5px solid rgba(189,189,189 ,0.25);
            border-left-color: #FF6239;
            border-top-color:#FF6239;
            border-radius: 50%;
            animation: spin 600ms infinite linear;
            }
            @keyframes spin {
                to {
                transform: rotate(360deg)
                }
            }

        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">ТОГЛОХ</div>
            <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
            <section class="loading">
                Уншиж байна.
                <span class="loading__author"> Түр хүлээнэ үү</span>
                <span class="loading__anim"></span>
            </section>
        </div>
        
        <div id="level-bar"></div>
        <script>
            let currLevelEl;
            let quizCount = 0;
            var level_dugaar = 1;
            DB = firebase.database();
            darsan_id = DB.ref(`/Movies/Users/${localStorage.getItem('username')}/tmp2`)
            function get_img(tmp, elId) {
                var storage = firebase.storage();
                let storageRef = storage.ref( '/' );
                var status, tp4;
                var array = [], tmp2 = 0;
                // tmp = tmp + 2;
                storageRef.child(`Movies/mon_mv/${tmp}.jpg`).getDownloadURL().then(function(url) {
                    let currButton = document.getElementById(elId);
                    DB.ref(`Movies/Users/${localStorage.getItem('username')}/quiz_${tmp}`).once('value', snapshot => {
                        tp4 = snapshot.val();

                        document.getElementsByClassName('loading')[0].style.display = 'none';
                    }).then(() => {
                        currButton.innerHTML = `<img class="quiz-img" id="quiz-img-${elId}" src="${url}" />`;
                        let id = elId.split('_');
                        if(tp4 == 1) {
                            document.getElementById(`quiz-img-${elId}`).setAttribute('class', 'opacity');
                        } else {
                            // if(localStorage.getItem('username') == null) {
                            //     document.getElementById(`opacity`).setAttribute('class', 'quiz-img-${elId}');
                            //     // console.log(document.getElementsByClassName(id[1]));
                            //     console.log('orloo');
                            // }
                        }

                    });
                }).catch(function(error) {
                    // Handle any errors
                });

            }

            for (let i = 20; i < 40; i++) {
                let currId = add_quiz();
                get_img(i+1, currId);
            }

            function add_quiz(){
                quizCount++;
                let quizButton = document.createElement('div');
                quizButton.onclick = quiz;
                quizButton.classList.add('level');
                quizButton.id = `quiz_${quizCount}`;

                if( quizCount % 4 == 1 ){
                    currLevelEl = document.createElement('div');
                    currLevelEl.classList.add('level-line');
                    if( quizCount == 1 ){
                        currLevelEl.id = 'L0';
                    }
                    document.getElementById('level-bar').appendChild(currLevelEl);
                }

                currLevelEl.appendChild(quizButton);

                return `quiz_${quizCount}`;
            }

            function back_icon() {
                window.location.href = "movie_menu.html";
            }

            function quiz() {
                DB.ref(`/Movies/Users/${localStorage.getItem('username')}/tmp2`).set(this.id);
                window.location.href = "mongol_kino_quizs_2.html";
            }
        </script>
    </body>
</html>